import javax.swing.*; 
import java.awt.*; 

public class MainFond {
	public static void main(String[] args) {
		JFrame frame = new JFrame("Fond");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);


		Fond panel = new Fond(); 

		frame.add(panel);
		frame.setSize(500,500);
		frame.setLocation(500,250);
    	frame.setVisible(true);
	}
}


./Fond.java:4: error: cannot find symbol
public class Fond extends JPanel implements ActionListener {
                                            ^
  symbol: class ActionListener
./Fond.java:27: error: cannot find symbol
	public void actionPerformed(ActionEvent evenement) {
	                            ^
  symbol:   class ActionEvent
  location: class Fond
./Fond.java:17: error: incompatible types: Fond cannot be converted to ActionListener
		this.Cyan.addActionListener(this);
		                            ^
./Fond.java:18: error: incompatible types: Fond cannot be converted to ActionListener
		this.Magenta.addActionListener(this);
		                               ^
./Fond.java:19: error: incompatible types: Fond cannot be converted to ActionListener
		this.Jaune.addActionListener(this);
		                             ^
./Fond.java:26: error: method does not override or implement a method from a supertype
	@Override
	^
./Fond.java:33: error: cannot find symbol
			setBackground(Color.JAUNE);
			                   ^
  symbol:   variable JAUNE
  location: class Color
Note: Some messages have been simplified; recompile with -Xdiags:verbose to get full output
7 errors
[srivasta@vm-srivasta 1.Fond]$ q
[srivasta@vm-srivasta 1.Fond]$ javac MainFond.java 
./Fond.java:4: error: cannot find symbol
public class Fond extends JPanel implements ActionListener {
                                            ^
  symbol: class ActionListener
./Fond.java:28: error: cannot find symbol
	public void actionPerformed(ActionEvent evenement) {
	                            ^
  symbol:   class ActionEvent
  location: class Fond
./Fond.java:18: error: incompatible types: Fond cannot be converted to ActionListener
		this.Cyan.addActionListener(this);
		                            ^
./Fond.java:19: error: incompatible types: Fond cannot be converted to ActionListener
		this.Magenta.addActionListener(this);
		                               ^
./Fond.java:20: error: incompatible types: Fond cannot be converted to ActionListener
		this.Jaune.addActionListener(this);
		                             ^
./Fond.java:27: error: method does not override or implement a method from a supertype
	@Override
	^
Note: Some messages have been simplified; recompile with -Xdiags:verbose to get full output
6 errors
